Skip to main content

Fetch Pinterest Boards

Overview

The Fetch Pinterest Boards endpoint allows you to retrieve all Pinterest boards associated with a specific Pinterest username. This is useful for getting the board_name and board_id needed when scheduling image or video posts to Pinterest.

Base URL:

https://www.oneupapp.io

Endpoint

GET /api/fetchpinterestboard

Request Parameters

ParameterRequiredDescription
apiKeyYesYour personal API key generated from the API Access page.
pinterest_usernameYesThe Pinterest username whose boards you want to fetch.

Sample Request

curl --location --request GET \
"https://www.oneupapp.io/api/fetchpinterestboard?apiKey=YOUR_API_KEY&pinterest_username=oneupapp"

Sample Response

{
"message": "OK",
"error": false,
"data": [
{
"email": "daviswbaer@gmail.com",
"username": "oneupapp",
"board_name": "new board",
"board_id": "635641003597206501"
},
{
"email": "daviswbaer@gmail.com",
"username": "oneupapp",
"board_name": "OneUp",
"board_id": "635641003596046298"
}
]
}

Usage Example

This endpoint is useful when you want to:

  1. Retrieve all available Pinterest boards for a given username.
  2. Get the board_name and board_id values required for scheduling Pinterest posts via the Create Image Post or Create Video Post endpoints.

Next Step: Use the board_name and board_id from the response to schedule a post to Pinterest by passing them in the pinterest parameter.